import controlP5.*; //import control library
import processing.serial.*;   // importing serial communication library

Serial port; 

ControlP5 cp5; // define to create controlP5 object
PFont font;    // set font


void setup()   /// initialize
{
  size(600, 400); // panel size 
 
  printArray(Serial.list());  // prints all available serial ports 
  
  port = new Serial(this, "/dev/ttyACM0", 9600); // The port device is connected to 
  
  cp5 = new ControlP5(this);
  font = createFont("Montserrat Medium", 20); // define font
    
    cp5.addButton("dummy1")         // dark rectangle to give button an outline   
     .setPosition(99, 84) // x and y coordinates
     .setSize(152, 72)    // width, height
     .setFont(font)      // call on font
     .setColorBackground(color(#002952)) // color rectangle     
   ;
     
    cp5.addButton("dummy2")         // dark rectangle to give button an outline  
     .setPosition(349, 84) // x and y coordinates upper left
     .setSize(152, 72)    // width, height
     .setFont(font)
     .setColorBackground(color(#821c17)) // rectangle  
   ;
  
  cp5.addButton("on")         // add button 'on' to panel   
     .setPosition(100, 85) // x and y coordinates upper left
     .setSize(150, 70)    // width, height
     .setFont(font)
     .setColorBackground(color(#567d46)) // color button
     .setColorForeground(color(#6b9c58)) // color mouse-over
   ;

  cp5.addButton("off")         // add button 'off' to panel  
     .setPosition(350, 85) 
     .setSize(150, 70)    
     .setFont(font)
     .setColorBackground(color(#952f2a)) 
     .setColorForeground(color(#cb2c24)) 
     
   ;

   cp5.addButton("Q")         // add button 'Q' to panel    
     .setPosition(50, 185) // x and y coordinates upper left
     .setSize(40, 40)    // width, height
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac)) 
   ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("W")         // add button 'W' to panel  
     .setPosition(100, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac)) 
     
  ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("E")         // add button 'E' to panel  
     .setPosition(150, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac))
     ;

  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("R")         // add button 'R' to panel  
     .setPosition(200, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546))  
     .setColorForeground(color(#5480ac)) 
  ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("T")         // add button 'T' to panel  
     .setPosition(250, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac))  
  ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("Y")         // add button 'Y' to panel
     .setPosition(300, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac)) 
  ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("U")         // add button 'U' to panel  
     .setPosition(350, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546))  
     .setColorForeground(color(#5480ac))  
  ;
  
   cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("I")         // add button 'I' to panel  
     .setPosition(400, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac))  
  ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("O")         // add button 'O' to panel  
     .setPosition(450, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546))  
     .setColorForeground(color(#5480ac)) 
  ;
  
  cp5 = new ControlP5(this);
   font = createFont("Montserrat Medium", 20);
   cp5.addButton("P")         // add button 'P' to pnanel  
     .setPosition(500, 185) 
     .setSize(40, 40)    
     .setFont(font)
     .setColorBackground(color(#223546)) 
     .setColorForeground(color(#5480ac))  
  ;
}

void draw()   // starting loop 
{
  background(#b5c5d9);  // background color of panel
  
  fill(#000B34);  // color of background text in the panel (text outline)
  text("post-colla        networking", 110, 45); //text + coordinates
  textFont(font, 30);  // calling font, setting font size
  
  fill(#ffffff);  // color of main text in panel
  text("post-colla        networking", 112, 47); //Slightly different coordinates
  textFont(font, 30);
  
  fill(#000B34);  // falling 'p' in text in the panel
  text("p", 260, 49); 
  textFont(font, 30);  
  fill(#ffffff);  // Text again in black to create illusion of text outline
  text("p", 262, 51); 
  textFont(font, 30);
  
  fill(#000B34);  // falling 's' in text in the panel
  text("s", 283, 54); 
  textFont(font, 30);  
  fill(#ffffff);  // Text again in black to create illusion of text outline
  text("s", 286, 57); 
  textFont(font, 30);
  
  fill(#000B34);  // falling 'e' in text in the panel
  text("e", 300, 60); 
  textFont(font, 30); 
  fill(#ffffff);  // Text again in black to create illusion of text outline
  text("e", 302, 62); 
  textFont(font, 30);
  
  
  stroke(#9B7100);  // define color of stroke
  strokeWeight(3);  // define weight of stroke 
  line(125, 55, 475, 55);  //draw a line with stroke values. Outline for line below
  stroke(#395888);  //
  strokeWeight(2);
  line(125, 55, 475, 55);  // Line under panel text
  
}


void on() // first button is named on
{  
    port.write('1'); // In the Arduino sketch we wrote 'if(val == 'r')'    
}

void off(){
  port.write('0');
}
